package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 费用信息对象 t_fees
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TFees extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String fNo;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String fName;

    /**
     * 费用属性(数据字典)"全部、仓储、海运、空运"
     */
    @Excel(name = "费用属性(数据字典)全部、仓储、海运、空运")
    private String fFeetype;

    /**
     * 计量单位(数据字典)"对应t_unitfees的f_id"
     */
    @Excel(name = "计量单位(数据字典)对应t_unitfees的f_id")
    private Long fFeeunitid;

    /**
     * 币种
     */
    @Excel(name = "币种")
    private String fCurrency;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    /**
     * 收付方向
     */
    @Excel(name = "收付方向")
    private String fDc;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfFeetype(String fFeetype) {
        this.fFeetype = fFeetype;
    }

    public String getfFeetype() {
        return fFeetype;
    }

    public void setfFeeunitid(Long fFeeunitid) {
        this.fFeeunitid = fFeeunitid;
    }

    public Long getfFeeunitid() {
        return fFeeunitid;
    }

    public void setfCurrency(String fCurrency) {
        this.fCurrency = fCurrency;
    }

    public String getfCurrency() {
        return fCurrency;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fNo", getfNo())
                .append("fName", getfName())
                .append("fFeetype", getfFeetype())
                .append("fFeeunitid", getfFeeunitid())
                .append("fCurrency", getfCurrency())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
